Bug 1493033 - rpm POSTIN scriptlet failure for ovirt-node-ng-image-update
Summary: rpm POSTIN scriptlet failure for ovirt-node-ng-image-update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-node
Classification: oVirt
Component: Packaging.rpm
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.1.8
: ---
Assignee: Ryan Barry
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 08:30 UTC by Simone Tiraboschi
Modified: 2017-12-21 13:16 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 10:32:21 UTC
oVirt Team: Node
rule-engine: ovirt-4.1+
huzhao: testing_ack+


Attachments (Terms of Use)
sosreport from 20170921 host after scriptlet failure (8.71 MB, application/x-xz)
2017-10-09 12:01 UTC, Evgheni Dereveanchin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 82701 0 'None' ABANDONED layers: get the timestamp of LVs to find the latest base/layer 2020-11-03 15:07:52 UTC

Description Simone Tiraboschi 2017-09-19 08:30:55 UTC
Description of problem:
rpm POSTIN scriptlet failure for ovirt-node-ng-image-update.

  Installing : ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch                                                                                                                                            5/5 
warning: %post(ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch

Nothing strange in /var/log/messages or in /var/log/yum.log but an exception in /tmp/imgbased.log which is triggered by the postin scriptlet:

2017-09-19 10:21:15,961 [DEBUG] (MainThread) Calling binary: (['rmdir', u'/tmp/mnt.nLcKA'],) {}
2017-09-19 10:21:15,961 [DEBUG] (MainThread) Calling: (['rmdir', u'/tmp/mnt.nLcKA'],) {'close_fds': True, 'stderr': -2}
2017-09-19 10:21:15,963 [DEBUG] (MainThread) Returned: 
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/__main__.py", line 53, in <module>
    CliApplication()
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/__init__.py", line 82, in CliApplication
    app.hooks.emit("post-arg-parse", args)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/hooks.py", line 120, in emit
    cb(self.context, *args)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/plugins/update.py", line 56, in post_argparse
    base_lv, _ = LiveimgExtractor(app.imgbase).extract(args.FILENAME)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/plugins/update.py", line 113, in extract
    size = self._recommend_size_for_tree()
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/plugins/update.py", line 75, in _recommend_size_for_tree
    self.imgbase.current_layer()).size_bytes
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/imgbase.py", line 381, in current_layer
    return self.image_from_path(lv)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/imgbase.py", line 146, in image_from_path
    return Image.from_lv_name(name)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/naming.py", line 328, in from_lv_name
    return cls.from_nvr(lv_name)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/naming.py", line 323, in from_nvr
    return Base(nvr)
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/naming.py", line 384, in __init__
    self.nvr = NVR.parse(nvr)  # For convenience: Parse if necessary
  File "/tmp/tmp.j97K3ZXD60/usr/lib/python2.7/site-packages/imgbased/naming.py", line 277, in parse
    raise RuntimeError("Failed to parse NVR: %s" % nvr)
RuntimeError: Failed to parse NVR: root



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. install and update ovirt-node-ng-image-update
2.
3.

Actual results:
  Installing : ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch                                                                                                                                            5/5 
warning: %post(ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch

Expected results:
No errors

Additional info:
it will cause engine-setup to fail as well if it tries to update ovirt-node-ng-image-update

Comment 1 Simone Tiraboschi 2017-09-19 08:33:09 UTC
(In reply to Simone Tiraboschi from comment #0)
> Version-Release number of selected component (if applicable):
ovirt-node-ng-image-update-4.1.5-1.el7.centos.noarch

Comment 2 Ryan Barry 2017-09-19 08:46:25 UTC
What are the steps to reproduce? It looks like there's not a valid install of Node....

Which iso did you use to install? And why would engine-setup be running on Node?

Comment 3 Yedidyah Bar David 2017-09-19 13:44:08 UTC
For why failure of the scriptlet causes otopi to fail, see bug 1493160.

Comment 4 Simone Tiraboschi 2017-09-19 13:49:49 UTC
(In reply to Ryan Barry from comment #2)
> What are the steps to reproduce? It looks like there's not a valid install
> of Node....
> 
> Which iso did you use to install? And why would engine-setup be running on
> Node?

Isn't ovirt-node-ng-image-update downloaded on the engine server to update the NGN hosts from there?

Comment 5 Ryan Barry 2017-09-19 14:53:01 UTC
No -- it's pulled directly from Node via yum.

Unlike vintage RHVH, nothing is needed on engine to update.

Comment 6 Simone Tiraboschi 2017-09-19 16:56:02 UTC
So we need to understand why engine-setup was trying to update it if installed by mistake by the user.

Comment 7 Ryan Barry 2017-09-19 16:59:45 UTC
Ah, I thought it was from you. Is there a case?

My best guess is that they are trying to follow the same update flow at 3.x.

Comment 8 Gabriel 2017-09-20 11:51:38 UTC
(In reply to Ryan Barry from comment #7)
> Ah, I thought it was from you. Is there a case?
> 
> My best guess is that they are trying to follow the same update flow at 3.x.

I've just tried to upgrade from 4.1.6_RC2 to 4.1.6 and I found interesting thing. Please go through the logs for details.

Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 123 M(21%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 149 M(25%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 162 M(28%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 178 M(30%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 207 M(36%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 238 M(41%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 251 M(43%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 272 M(47%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 287 M(49%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 302 M(52%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 322 M(55%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 346 M(60%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 372 M(64%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 398 M(69%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 418 M(72%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 438 M(76%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 467 M(81%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 495 M(85%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 516 M(89%).
Installing Host ovirtnode02.lab.loc. Yum Downloading: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 558 M(96%).
Installing Host ovirtnode02.lab.loc. Yum Download/Verify: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.
Installing Host ovirtnode02.lab.loc. Yum Status: Check Package Signatures.
Installing Host ovirtnode02.lab.loc. Yum Status: Running Test Transaction.
Installing Host ovirtnode02.lab.loc. Yum Status: Running Transaction.
Installing Host ovirtnode02.lab.loc. Yum obsoleting: 1/3: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.

====>>>> Yum Non-fatal POSTIN scriptlet

Failed to install Host ovirtnode02.lab.loc. Yum Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.
Installing Host ovirtnode02.lab.loc. Yum erase: 2/3: ovirt-node-ng-image-update-placeholder.
Installing Host ovirtnode02.lab.loc. Yum updated: 3/3: ovirt-node-ng-image-update.
Installing Host ovirtnode02.lab.loc. Yum Verify: 1/3: ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos - u.
Installing Host ovirtnode02.lab.loc. Yum Verify: 2/3: ovirt-node-ng-image-update-placeholder.noarch 0:4.1.6-0.2.rc2.20170830082757.gite10769f.el7.centos - od.
Installing Host ovirtnode02.lab.loc. Yum Verify: 3/3: ovirt-node-ng-image-update.noarch 0:4.1.6-0.2.rc2.20170830082757.gite10769f.el7.centos - ud.
Failed to install Host ovirtnode02.lab.loc. Failed to execute stage 'Package installation': One or more elements within Yum transaction failed.
Installing Host ovirtnode02.lab.loc. Yum Performing yum transaction rollback.
Failed to install Host ovirtnode02.lab.loc. Yum Transaction close failed: Traceback (most recent call last): File "/tmp/ovirt-rbFnUV5we2/pythonlib/otopi/miniyum.py", line 761, in endTransaction if self._yb.history_undo(transactionCurrent): File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6086, in history_undo if self.install(pkgtup=pkg.pkgtup): File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4910, in install raise Errors.InstallError, _('No package(s) available to install') InstallError: No package(s) available to install .
Installing Host ovirtnode02.lab.loc. Stage: Pre-termination.
Installing Host ovirtnode02.lab.loc. Retrieving installation logs to: '/var/log/ovirt-engine/host-deploy/ovirt-host-mgmt-20170920133309-ovirtnode02.lab.loc-da289cb2-768a-432b-bbde-2d298693c4ef.log'.
Installing Host ovirtnode02.lab.loc. Stage: Termination.

====>>>> Upgrade failed!

Failed to upgrade Host ovirtnode02.lab.loc (User: admin@internal-authz).

====>>>> Here, I manually set ovirtnode02.lab.loc to Maintenance mode 

Host ovirtnode02.lab.loc was switched to Maintenance mode by admin@internal-authz.
Host ovirtnode02.lab.loc upgrade was started (User: admin@internal-authz).
Installing Host ovirtnode02.lab.loc. Connected to host ovirtnode02.lab.loc with SSH key fingerprint: SHA256:hMVi185WDuZKkM3Y0I3l/4jLKSajeGxiVczh363G8JU.
Installing Host ovirtnode02.lab.loc. Stage: Initializing.
Installing Host ovirtnode02.lab.loc. Stage: Environment setup.
Installing Host ovirtnode02.lab.loc. Stage: Environment packages setup.
Installing Host ovirtnode02.lab.loc. Stage: Programs detection.
Installing Host ovirtnode02.lab.loc. Stage: Environment customization.
Installing Host ovirtnode02.lab.loc. Logs at host located at: '/tmp/ovirt-host-mgmt-20170920113419-nxgr0j.log'.
Installing Host ovirtnode02.lab.loc. Stage: Setup validation.
Installing Host ovirtnode02.lab.loc. Stage: Transaction setup.
Installing Host ovirtnode02.lab.loc. Stage: Misc configuration.
Installing Host ovirtnode02.lab.loc. Stage: Package installation.
Installing Host ovirtnode02.lab.loc. Stage: Misc configuration.
Installing Host ovirtnode02.lab.loc. Stage: Transaction commit.
Installing Host ovirtnode02.lab.loc. Stage: Closing up.
Installing Host ovirtnode02.lab.loc. Stage: Pre-termination.
Installing Host ovirtnode02.lab.loc. Retrieving installation logs to: '/var/log/ovirt-engine/host-deploy/ovirt-host-mgmt-20170920133425-ovirtnode02.lab.loc-aa2e8ad4-043f-49a9-a97e-994ceca5f73c.log'.
Installing Host ovirtnode02.lab.loc. Stage: Termination.
Host ovirtnode02.lab.loc was restarted using SSH by the engine.

====>>>> It magically upgraded.

Host ovirtnode02.lab.loc upgrade was completed successfully.


How to explain it?

Comment 9 Ryan Barry 2017-09-20 12:30:21 UTC
Unfortunately, this is really impossible without seeing what the scriptlet failure was and/or having imgbased.log from the failed host. Do we have those?

Comment 10 Simone Tiraboschi 2017-09-20 12:37:39 UTC
> Additional info:
> it will cause engine-setup to fail as well if it tries to update
> ovirt-node-ng-image-update

Sorry, my bad: I have seen otopi packager logs and I assumed they was from engine-setup but also host-deploy, used to upgrade the host, is based on otopi and so we can have the same issue there.

Comment 11 Gabriel 2017-09-21 10:58:52 UTC
(In reply to Ryan Barry from comment #9)
> Unfortunately, this is really impossible without seeing what the scriptlet
> failure was

Where to find it?

 and/or having imgbased.log from the failed host. Do we have
> those?

That is all that I could find in /tmp/imgbased.log:

2017-09-20 13:05:13,773 [DEBUG] (MainThread) Version: imgbased-0.9.47
2017-09-20 13:05:13,791 [DEBUG] (MainThread) Arguments: Namespace(FILENAME='/usr/share/ovirt-node-ng/image//ovirt-node-ng-4.1.4-0.20170919.0.el7.squashfs.img', command='update', debug=True, experimental=False, format='liveimg', stream='Image')
2017-09-20 13:05:13,791 [INFO] (MainThread) Extracting image '/usr/share/ovirt-node-ng/image//ovirt-node-ng-4.1.4-0.20170919.0.el7.squashfs.img'
2017-09-20 13:05:13,791 [DEBUG] (MainThread) Calling binary: (['mktemp', '-d', '--tmpdir', 'mnt.XXXXX'],) {}
2017-09-20 13:05:13,792 [DEBUG] (MainThread) Calling: (['mktemp', '-d', '--tmpdir', 'mnt.XXXXX'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:13,795 [DEBUG] (MainThread) Returned: /tmp/mnt.i9sjI
2017-09-20 13:05:13,797 [DEBUG] (MainThread) Calling binary: (['mount', '/usr/share/ovirt-node-ng/image//ovirt-node-ng-4.1.4-0.20170919.0.el7.squashfs.img', u'/tmp/mnt.i9sjI'],) {}
2017-09-20 13:05:13,797 [DEBUG] (MainThread) Calling: (['mount', '/usr/share/ovirt-node-ng/image//ovirt-node-ng-4.1.4-0.20170919.0.el7.squashfs.img', u'/tmp/mnt.i9sjI'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:13,806 [DEBUG] (MainThread) Returned: 
2017-09-20 13:05:13,807 [DEBUG] (MainThread) Mounted squashfs
2017-09-20 13:05:13,808 [DEBUG] (MainThread) Found fsimage at '/tmp/mnt.i9sjI/LiveOS/rootfs.img'
2017-09-20 13:05:13,808 [DEBUG] (MainThread) Calling binary: (['mktemp', '-d', '--tmpdir', 'mnt.XXXXX'],) {}
2017-09-20 13:05:13,808 [DEBUG] (MainThread) Calling: (['mktemp', '-d', '--tmpdir', 'mnt.XXXXX'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:13,813 [DEBUG] (MainThread) Returned: /tmp/mnt.yIZjZ
2017-09-20 13:05:13,814 [DEBUG] (MainThread) Calling binary: (['mount', u'/tmp/mnt.i9sjI/LiveOS/rootfs.img', u'/tmp/mnt.yIZjZ'],) {}
2017-09-20 13:05:13,814 [DEBUG] (MainThread) Calling: (['mount', u'/tmp/mnt.i9sjI/LiveOS/rootfs.img', u'/tmp/mnt.yIZjZ'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:13,836 [DEBUG] (MainThread) Returned: 
2017-09-20 13:05:13,861 [DEBUG] (MainThread) Using nvr: ovirt-node-ng-4.1.6-0.20170919.0
2017-09-20 13:05:13,861 [DEBUG] (MainThread) Fetching image for '/'
2017-09-20 13:05:13,861 [DEBUG] (MainThread) Calling binary: (['findmnt', '--noheadings', '-o', 'SOURCE', '/'],) {}
2017-09-20 13:05:13,862 [DEBUG] (MainThread) Calling: (['findmnt', '--noheadings', '-o', 'SOURCE', '/'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:13,867 [DEBUG] (MainThread) Returned: /dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1
2017-09-20 13:05:13,868 [DEBUG] (MainThread) Found '/dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1'
2017-09-20 13:05:13,868 [DEBUG] (MainThread) Calling binary: (['lvs', '--noheadings', '-ovg_name,lv_name', u'/dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1'],) {'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:13,868 [DEBUG] (MainThread) Calling: (['lvs', '--noheadings', '-ovg_name,lv_name', u'/dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1'],) {'close_fds': True, 'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,004 [DEBUG] (MainThread) Returned: onn ovirt-node-ng-4.1.6-0.20170919.0+1
2017-09-20 13:05:14,004 [DEBUG] (MainThread) Found LV for path /dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1: onn ovirt-node-ng-4.1.6-0.20170919.0+1
2017-09-20 13:05:14,005 [DEBUG] (MainThread) Found LV 'ovirt-node-ng-4.1.6-0.20170919.0+1' for path '/dev/mapper/onn-ovirt--node--ng--4.1.6--0.20170919.0+1'
2017-09-20 13:05:14,005 [DEBUG] (MainThread) Calling binary: (['vgs', '--noheadings', '--select', 'vg_tags = imgbased:vg', '-o', 'vg_name'],) {'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,006 [DEBUG] (MainThread) Calling: (['vgs', '--noheadings', '--select', 'vg_tags = imgbased:vg', '-o', 'vg_name'],) {'close_fds': True, 'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,086 [DEBUG] (MainThread) Returned: onn
2017-09-20 13:05:14,087 [DEBUG] (MainThread) Calling binary: (['lvs', '--noheadings', '-osize', '--units', 'B', u'onn/ovirt-node-ng-4.1.6-0.20170919.0+1'],) {'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,087 [DEBUG] (MainThread) Calling: (['lvs', '--noheadings', '-osize', '--units', 'B', u'onn/ovirt-node-ng-4.1.6-0.20170919.0+1'],) {'close_fds': True, 'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,150 [DEBUG] (MainThread) Returned: 27573354496B
2017-09-20 13:05:14,150 [DEBUG] (MainThread) Recommeneded base size: 27573354496B
2017-09-20 13:05:14,150 [INFO] (MainThread) Starting base creation
2017-09-20 13:05:14,151 [INFO] (MainThread) New base will be: ovirt-node-ng-4.1.6-0.20170919.0
2017-09-20 13:05:14,151 [DEBUG] (MainThread) Calling binary: (['vgs', '--noheadings', '@imgbased:pool', '-o', 'lv_full_name'],) {'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,151 [DEBUG] (MainThread) Calling: (['vgs', '--noheadings', '@imgbased:pool', '-o', 'lv_full_name'],) {'close_fds': True, 'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,222 [DEBUG] (MainThread) Returned: onn/pool00
2017-09-20 13:05:14,223 [DEBUG] (MainThread) Pool: <LV 'onn/pool00' />
2017-09-20 13:05:14,224 [DEBUG] (MainThread) Calling binary: (['lvcreate', '--thin', '--virtualsize', u'27573354496B', '--name', 'ovirt-node-ng-4.1.6-0.20170919.0', u'onn/pool00'],) {'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,224 [DEBUG] (MainThread) Calling: (['lvcreate', '--thin', '--virtualsize', u'27573354496B', '--name', 'ovirt-node-ng-4.1.6-0.20170919.0', u'onn/pool00'],) {'close_fds': True, 'stderr': <open file '/dev/null', mode 'w' at 0x12a1f60>}
2017-09-20 13:05:14,287 [DEBUG] (MainThread) Calling binary: (['umount', '-l', u'/tmp/mnt.yIZjZ'],) {}
2017-09-20 13:05:14,288 [DEBUG] (MainThread) Calling: (['umount', '-l', u'/tmp/mnt.yIZjZ'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:14,298 [DEBUG] (MainThread) Returned: 
2017-09-20 13:05:14,298 [DEBUG] (MainThread) Calling binary: (['rmdir', u'/tmp/mnt.yIZjZ'],) {}
2017-09-20 13:05:14,299 [DEBUG] (MainThread) Calling: (['rmdir', u'/tmp/mnt.yIZjZ'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:14,308 [DEBUG] (MainThread) Returned: 
2017-09-20 13:05:14,308 [DEBUG] (MainThread) Calling binary: (['umount', '-l', u'/tmp/mnt.i9sjI'],) {}
2017-09-20 13:05:14,308 [DEBUG] (MainThread) Calling: (['umount', '-l', u'/tmp/mnt.i9sjI'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:14,320 [DEBUG] (MainThread) Returned: 
2017-09-20 13:05:14,321 [DEBUG] (MainThread) Calling binary: (['rmdir', u'/tmp/mnt.i9sjI'],) {}
2017-09-20 13:05:14,321 [DEBUG] (MainThread) Calling: (['rmdir', u'/tmp/mnt.i9sjI'],) {'close_fds': True, 'stderr': -2}
2017-09-20 13:05:14,324 [DEBUG] (MainThread) Returned:

Comment 12 Gabriel 2017-09-22 08:41:23 UTC
Was anybody able to reproduce it?

Comment 13 Ryan Barry 2017-09-22 13:48:48 UTC
I haven't been able to reproduce yet.

Is that all the output from imgbased.log? Everything looks ok there.

Comment 14 Gabriel 2017-09-22 14:02:20 UTC
Yes, that's all. Will try one more time when 4.1.7 is released.

Comment 15 Ryan Barry 2017-09-22 14:05:09 UTC
Thanks Gabriel. I thought I'd ask because the log looks partial/truncated

Comment 16 Yedidyah Bar David 2017-09-24 08:28:39 UTC
Last week I merged to otopi a patch that should collect all scriptlets output:

https://gerrit.ovirt.org/81993

If current bug is reproducible, perhaps someone can try to reproduce with this cherry-picked to otopi 1.6 (oVirt 4.1):

https://gerrit.ovirt.org/82128

(Not sure why jenkins does not build it for el7 currently)

Comment 17 Yedidyah Bar David 2017-09-24 08:41:29 UTC
(In reply to Yedidyah Bar David from comment #16)
> (Not sure why jenkins does not build it for el7 currently)

Triggered manually by Eyal, these are the built RPMs:

http://jenkins.ovirt.org/job/otopi_4.1_check-patch-el7-x86_64/18/artifact/exported-artifacts/

If someone tries them, please mark above patch Verified. Thanks. Sandro - do we want it in 4.1? I think it's useful, and not too risky.

Please note that it handles only yum, not dnf (fedora).

Comment 18 Gabriel 2017-09-25 09:57:11 UTC
(In reply to Ryan Barry from comment #15)
> Thanks Gabriel. I thought I'd ask because the log looks partial/truncated

Indeed, it looks like truncated but that's all that I can see there in time range covering the upgrade time, nothing else.

Comment 19 Ryan Barry 2017-09-25 10:01:43 UTC
We log this to /tmp/imgbased.log on the node. Is that also truncated?

Comment 20 Gabriel 2017-09-25 10:08:45 UTC
Yes. The logs that I provided were from /tmp/imgbased.log.

Comment 21 Gabriel 2017-09-25 10:10:09 UTC
(In reply to Yedidyah Bar David from comment #17)
> (In reply to Yedidyah Bar David from comment #16)
> > (Not sure why jenkins does not build it for el7 currently)
> 
> Triggered manually by Eyal, these are the built RPMs:
> 
> http://jenkins.ovirt.org/job/otopi_4.1_check-patch-el7-x86_64/18/artifact/
> exported-artifacts/
> 
> If someone tries them, please mark above patch Verified. Thanks. Sandro - do
> we want it in 4.1? I think it's useful, and not too risky.
> 
> Please note that it handles only yum, not dnf (fedora).

I will set up a new lab to reproduce it. Please confirm if the below steps are enough to collect the logs that you need.

1) Install a pure oVirt Node 4.1.5
2) install the following RPMs:
otopi-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
otopi-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.src.rpm
otopi-debug-plugins-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
otopi-devtools-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
otopi-java-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
otopi-javadoc-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
3) Collect /tmp/imgbased.log during upgrade to 4.1.6.

Or do I need to activate that extra logs somewhere else?

Comment 22 Ryan Barry 2017-09-25 10:14:05 UTC
I'm also trying to reproduce, but not having much luck.

The otopi rpms are helpful from engine, but imgbased.log should be complete no matter what.

It should also be sufficient to just "yum upgrade" from the host instead of using rhvm

Comment 23 Yedidyah Bar David 2017-09-25 10:17:15 UTC
(In reply to Gabriel from comment #21)
> 
> I will set up a new lab to reproduce it.

Thanks

> Please confirm if the below steps
> are enough to collect the logs that you need.
> 
> 1) Install a pure oVirt Node 4.1.5

ok

> 2) install the following RPMs:

these, you install on the engine machine, not on the node.

> otopi-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
> otopi-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.src.rpm
> otopi-debug-plugins-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.
> noarch.rpm

You do not need this one, but it should not harm either

> otopi-devtools-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.
> rpm
> otopi-java-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.rpm
> otopi-javadoc-1.6.3-0.0.master.20170924083711.git619b80e.el7.centos.noarch.
> rpm
> 3) Collect /tmp/imgbased.log during upgrade to 4.1.6.

ok,

> 
> Or do I need to activate that extra logs somewhere else?

you do not need to activate them, just collect the existing host-deploy logs, from the engine machine, in:

/var/log/ovirt-engine/host-deploy

They should appear there after host-deploy finished, assuming it managed to copy the logs to the engine machine (whether it succeeded or failed).

If it failed before that, you can try looking for these logs on the host/node machine, under /tmp . You can also look at them there while host-deploy is running.

Comment 24 cshao 2017-09-29 01:47:21 UTC
@huzhao,

Could you help to reproduce this issue in QE env?
Thanks.

Comment 25 Huijuan Zhao 2017-09-30 10:34:50 UTC
(In reply to cshao from comment #24)
> @huzhao,
> 
> Could you help to reproduce this issue in QE env?
> Thanks.

I will reproduce it later due to ENV limit.

Comment 26 Sandro Bonazzola 2017-10-02 13:44:05 UTC
(In reply to Yedidyah Bar David from comment #17)
> (In reply to Yedidyah Bar David from comment #16)
> > (Not sure why jenkins does not build it for el7 currently)
> 
> Triggered manually by Eyal, these are the built RPMs:
> 
> http://jenkins.ovirt.org/job/otopi_4.1_check-patch-el7-x86_64/18/artifact/
> exported-artifacts/
> 
> If someone tries them, please mark above patch Verified. Thanks. Sandro - do
> we want it in 4.1? I think it's useful, and not too risky.

Yes, make sense to backport to 4.1

Comment 27 Evgheni Dereveanchin 2017-10-04 10:40:53 UTC
I hit this issue as well when trying to upgrade a newly installed Node NG. Will upload all relevant logs to this BZ, but wanted to confirm what I can do to the node itself at this stage - will it survive a reboot? Will it eventually be updated or not after that?

The node I have is ovirt-node-ng-4.1.6-0.20170919 that failed on upgrading to ovirt-node-ng-4.1.6-0.20170921 with the same POST scriptlet error.

Comment 29 Ryan Barry 2017-10-04 10:49:03 UTC
It should definitely survive a reboot. But please grab /tmp/imgbased.log before rebooting, as this is needed to find the problem -- host-deploy is not sufficient

Comment 32 Evgheni Dereveanchin 2017-10-04 11:02:26 UTC
Hi Ryan, thanks for the reply. I'll keep the node in its current state if we need any further data from it. We also have two other nodes next to it that have the same version and matching configs so we might use them as reproducers.

The environment where this was triggered is a new HyperConverged set up we're currently deploying which is not yet in production.

Comment 33 Ryan Barry 2017-10-04 16:49:41 UTC
Thanks Evgheni -

It looks like the Node update actually finished successfully (from the imgbased side). I'd guess the snippet to inject the update rpm into the new image failed.

This is updating from 20170919 to 20170921?

Comment 34 Evgheni Dereveanchin 2017-10-05 09:09:53 UTC
Correct, this is a 20170919 NGN installed from ISO and updated via the Engine UI

Comment 35 Ryan Barry 2017-10-06 19:28:15 UTC
I'm still not able to reproduce this, but I didn't even find 20170921 on Jenkins. 4.1.6-1 was used instead.

[root@localhost ~]# yum localinstall ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm      
Loaded plugins: fastestmirror, imgbased-persist  
Examining ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                              
Marking ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm to be installed                   
Resolving Dependencies                           
--> Running transaction check                    
---> Package ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos will be installed              
--> Finished Dependency Resolution               

Dependencies Resolved                            

======================================================================================================================================================================================================
 Package                                         Arch                        Version                                 Repository                                                                  Size 
======================================================================================================================================================================================================
Installing:                                      
 ovirt-node-ng-image-update                      noarch                      4.1.6-1.el7.centos                      /ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                      575 M 

Transaction Summary                              
======================================================================================================================================================================================================
Install  1 Package                               

Total size: 575 M                                
Installed size: 575 M                            
Is this ok [y/d/N]: y                            
Downloading packages:                            
Running transaction check                        
Running transaction test                         
Transaction test succeeded                       
Running transaction                              
  Installing : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                                                               1/1 
  Verifying  : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                                                               1/1 

Installed:
  ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos                                                                                                                                              

Complete!
[root@localhost ~]# imgbase w
You are on ovirt-node-ng-4.1.6-0.20170919.0+1
[root@localhost ~]# imgbase layout
ovirt-node-ng-4.1.6-0.20170919.0
 +- ovirt-node-ng-4.1.6-0.20170919.0+1
ovirt-node-ng-4.1.6-0.20171004.0
 +- ovirt-node-ng-4.1.6-0.20171004.0+1


Can you provide an sosreport, or at least the output of:

imgbase layout
lvm lvs
df -h

Before the upgrade?

Comment 36 Huijuan Zhao 2017-10-09 08:37:42 UTC
(In reply to cshao from comment #24)
> @huzhao,
> 
> Could you help to reproduce this issue in QE env?
> Thanks.

Also did not reproduce this issue, I also didn't find 20170921 on Jenkins. 4.1.6-1 was used instead.

Test version:
# imgbase layout
ovirt-node-ng-4.1.6-0.20170919.0
 +- ovirt-node-ng-4.1.6-0.20170919.0+1
ovirt-node-ng-4.1.6-0.20171008.0
 +- ovirt-node-ng-4.1.6-0.20171008.0+1


Test steps:
1. Install ovirt-node-ng-4.1.6-0.20170919.0
2. Upgrade host to ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm:
   # yum install ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm


Test results:
After step2, upgrade successful.
# yum install ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 
Loaded plugins: fastestmirror, imgbased-persist
Examining ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch
Marking ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================
 Package                                 Arch                Version                         Repository                                                          Size
======================================================================================================================================================================
Installing:
 ovirt-node-ng-image-update              noarch              4.1.6-1.el7.centos              /ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch              576 M

Transaction Summary
======================================================================================================================================================================
Install  1 Package

Total size: 576 M
Installed size: 576 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                               1/1 
  Verifying  : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                               1/1 

Installed:
  ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos                                                                                                              

Complete!

Comment 37 Evgheni Dereveanchin 2017-10-09 11:57:56 UTC
I have the ISO saved locally and can share it if needed.

Just installed it in a VM and was able to reproduce the issue immediately:

# imgbase layout                                                                                                                                                                                           
ovirt-node-ng-4.1.6-0.20170921.0
 +- ovirt-node-ng-4.1.6-0.20170921.0+1
# yum install ovirt-node-ng-image-update 
Failed to set locale, defaulting to C
Loaded plugins: fastestmirror, imgbased-persist
Loading mirror speeds from cached hostfile
 * ovirt-4.1-epel: download.eng.brq.redhat.com
Resolving Dependencies
--> Running transaction check
---> Package ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                      Arch    Version             Repository  Size
=============================================================================
Installing:
 ovirt-node-ng-image-update   noarch  4.1.6-1.el7.centos  ovirt-4.1   575 M

Transaction Summary
=============================================================================
Install  1 Package

Total download size: 575 M
Installed size: 575 M
Is this ok [y/d/N]: y
Downloading packages:
...
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                                                                                        1/1 
warning: %post(ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch) scriptlet failed, exit status 2
Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch
  Verifying  : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                                                                                        1/1 

Installed:
  ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos                                                                                                                                                                       

Complete!

Comment 38 Evgheni Dereveanchin 2017-10-09 12:01:49 UTC
Created attachment 1336375 [details]
sosreport from 20170921 host after scriptlet failure

Comment 39 Evgheni Dereveanchin 2017-10-09 12:11:00 UTC
Looking closer at the output after the upgrade that had a scriptlet failure I see the following:

# imgbase layout
ovirt-node-ng-4.1.6-0.20170919.0
 +- ovirt-node-ng-4.1.6-0.20170919.0+1
ovirt-node-ng-4.1.6-0.20170921.0
 +- ovirt-node-ng-4.1.6-0.20170921.0+1

Looks like the "upgrade" was done to an older version of NGN - from 20170921 to 20170919. May this be causing the issue or it can be considered a new bug? The command output is listed above and does not specify any version, just "yum install ovirt-node-ng-image-update". I'd expect yum to know better which version is newest and not install an old version.

Comment 40 Ryan Barry 2017-10-09 12:34:30 UTC
This is not a new bug, but will not cause issues.

Yum does not know the exact image nvr. NGN updates are shipped as "ovirt-node-ng-image-update-4.1.6-1", for example, not 20170919

Can you please post the ISO somewhere? Or try to reproduce with an officially released version of Node?

Comment 41 Evgheni Dereveanchin 2017-10-09 13:35:48 UTC
Here's the ISO:
http://templates.ovirt.org/node/ovirt-node-ng-installer-ovirt-4.1-2017092106.iso

Regarding "official releases", the website points to jenkins directly, that's where I got this ISO in the first place:

https://ovirt.org/node/

Not sure what other source of ISOs should users choose.

Comment 42 Ryan Barry 2017-10-09 14:10:50 UTC
Seems like we need a docs update on the wiki.

The 'official' release mirror is the same as every other oVirt project -- resources.ovirt.org

For Node, specifically, http://resources.ovirt.org/pub/ovirt-4.1/iso/ovirt-node-ng-installer/

These are pulled from Jenkins. Not that nightlies should not work, but neither QE nor myself were able to find the ISO you used. Nor can I find a job which would have run on that day. Finally, the Jenkins artifacts from nightlies are not kept forever.

It's best, if pulling from Jenkins, to use a labeled job. See http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-4.1_build-artifacts-el7-x86_64/

On the left, you'll see jobs labeled with '4.1.5 GA', etc. These are what are published to resources.ovirt.org

We have a number of Jenkins jobs for Node. Did you perhaps pull from ovirt-4.1-pre or ovirt-4.1-snapshot?

Comment 43 Evgheni Dereveanchin 2017-10-09 14:38:37 UTC
Hi Ryan,

The ovirt-node-ng_ovirt-4.1_build-artifacts-el7-x86_64 Jenkins job has a retention policy of 14 builds with just the last 4 preserving build artifacts (i.e. the ISOs) due to disk size constrains. Builds are triggered by timer daily, so only the last 2 weeks worth of jobs are preserved.

The ISO in question was generated as part of build #284 of this job on Sep 21, 2017 06:47:55 UTC which has since been deleted from the Jenkins.


Back to the point of this bugzilla - hopefully you're able to reproduce the issue with the provided ISO. If anything else is needed from my side - please tell me. I double-checked the affected environment and indeed it was installed as 20170921 and the node I tried to upgrade in fact got downgraded to 20170919 which confused me at the beginning. Now that node is running 20170919 and still showing available updates in the UI. Attempts to upgrade fail with scriptlet failures as before.

Comment 44 Ryan Barry 2017-10-09 22:42:55 UTC
To be clear:

Updates being shown as available is rhbz#1474268

The upgrade is still shown as available after 'upgrading' because the scriptlet fails -- since imgbased is completing, the remaining part of the scriptlet finds the new volume and injects the update RPM into the rpmdb so upgrades are not shown as available constantly. This was added in 4.1 as rhbz#1364040

4.0 would always show an 'upgrade available'/

A lower version is installed because of the repository used/jenkins job used -- 20170919 is the latest published image from ovirt-4.1. If Jenkins build from ovirt-4.1-snapshot (nightlies) are used, updating would always fetch a newer image.

That said, I'm also unable to reproduce with this ISO. Can you provide access to one of the systems?

Comment 45 Ryan Barry 2017-10-11 21:52:14 UTC
Ok -- with access to the system, I have a reproducer.

The basic problem is the following:

ovirt-node-ng is installed from 4.1 jenkins jobs

Due to rhbz#1474268 and the fact that ovirt-4.1-snapshot is not used as a repo, an image which is a downgrade is presented.

The fix for rhbz#1364040 uses:

VOL=$(imgbase layer --volume-path $(imgbase layer --latest)) 

Since this is a downgrade, imgbased mistakenly identifies this as 0921 (the version from jenkins), not 0919 (published 4.1.6-1). It then tries to update the rpmdb on 0921, but this fails, because it's the same as /, and the image update is already installed.

In theory, this is a bug, because 'imgbase layer --latest' is guessing by NVR. We can do better by using 'lvm lvdisplay' and looking for the timestamp.

I'll write a patch for this. In general, though, I consider this NOTABUG, since we don't support downgrading in this way. I'd suggest using the images from ovirt-4.1-pre or ovirt-4.1-snapshot to get nightlies.

Comment 46 Evgheni Dereveanchin 2017-10-11 23:16:04 UTC
Hi Ryan, 

Thanks for locating the root cause! I'll wait for a new official build to get published before trying to upgrade again. This should go smoothly as image version time stamps will be in the right order and fix this issue effectively.

We do need to update the website to point users to the right ISO as currently this situation can still happen for new installs done from daily ISOs fetched directly from Jenkins.

Comment 47 Ryan Barry 2017-10-11 23:36:09 UTC
We definitely do. I'll push to ovirt-site tomorrow.

I'm not sure that I want to commit this patch when updating the docs (pointing to -snapshot for nightlies) would resolve without potentially changing behavior

Comment 48 Huijuan Zhao 2017-10-12 03:39:42 UTC
Thanks Evgheni to share the 0921 iso.

Now I can also reproduce this issue, just as Ryan said, this issue's reproduce is downgrade. QE also agree with that we should deny downgrade via imgbase check or timestamp check.


Test version:
From: ovirt-node-ng-4.1.6-0.20170921.0
To:   ovirt-node-ng-4.1.6-0.20170919.0

Test steps:
1. Install ovirt-node-ng-4.1.6-0.20170921.0
2. Download ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm from ovirt-node-ng-4.1.6-0.20170919.0 path.
   Downgrade host to ovirt-node-ng-4.1.6-0.20170919.0:
   # yum install ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm

Actual steps:
After step 2, Upgrade(actually downgrade) fail.
# yum install ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm 
Loaded plugins: fastestmirror, imgbased-persist
Examining ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm: ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch
Marking ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================
 Package                                 Arch                Version                         Repository                                                          Size
======================================================================================================================================================================
Installing:
 ovirt-node-ng-image-update              noarch              4.1.6-1.el7.centos              /ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch              575 M

Transaction Summary
======================================================================================================================================================================
Install  1 Package

Total size: 575 M
Installed size: 575 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                               1/1 
warning: %post(ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch) scriptlet failed, exit status 2
Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch
  Verifying  : ovirt-node-ng-image-update-4.1.6-1.el7.centos.noarch                                                                                               1/1 

Installed:
  ovirt-node-ng-image-update.noarch 0:4.1.6-1.el7.centos                                                                                                              

Complete!


Expected steps:
After step 2, should deny downgrade at the beginning.

Comment 49 Ryan Barry 2017-11-21 10:32:21 UTC
In the future, please ensure that the correct repositories are used

Comment 50 Gabriel 2017-12-21 10:02:01 UTC
I have just installed ovirt-node-ng-installer-ovirt-4.1-2017121114.iso and just after it the "upgrade" link popped out so I clicked on it and.... the same thing happens:

"Failed to install Host ovirtnode01.lab.loc. Yum Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch."


[root@ovirtnode01 ~]# cat /etc/yum.repos.d/ovirt-4.1.repo 
# imgbased: set-enabled
[ovirt-4.1]
enabled=1
name=Latest oVirt 4.1 Release
includepkgs=ovirt-node-ng-image-update ovirt-node-ng-image ovirt-engine-appliance
baseurl=http://resources.ovirt.org/pub/ovirt-4.1/rpm/el$releasever/
skip_if_unavailable=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-ovirt-4.1

Comment 51 Yedidyah Bar David 2017-12-21 10:25:58 UTC
(In reply to Gabriel from comment #50)
> I have just installed ovirt-node-ng-installer-ovirt-4.1-2017121114.iso and
> just after it the "upgrade" link popped out so I clicked on it and.... the
> same thing happens:
> 
> "Failed to install Host ovirtnode01.lab.loc. Yum Non-fatal POSTIN scriptlet
> failure in rpm package ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch."
> 
> 
> [root@ovirtnode01 ~]# cat /etc/yum.repos.d/ovirt-4.1.repo 
> # imgbased: set-enabled
> [ovirt-4.1]
> enabled=1
> name=Latest oVirt 4.1 Release
> includepkgs=ovirt-node-ng-image-update ovirt-node-ng-image
> ovirt-engine-appliance
> baseurl=http://resources.ovirt.org/pub/ovirt-4.1/rpm/el$releasever/
> skip_if_unavailable=1
> gpgcheck=1
> gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-ovirt-4.1

Please attach full logs. I assume you refer to host-deploy failing, the logs are in the engine machine in /var/log/ovirt-engine/host-deploy. Thanks.

Comment 52 Gabriel 2017-12-21 10:34:59 UTC
2017-12-21 11:31:43 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 519 M(85%)
2017-12-21 11:31:43 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 520 M(85%)
2017-12-21 11:31:44 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 521 M(86%)
2017-12-21 11:31:44 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 522 M(86%)
2017-12-21 11:31:44 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 523 M(86%)
2017-12-21 11:31:45 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 523 M(86%)
2017-12-21 11:31:45 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 524 M(86%)
2017-12-21 11:31:45 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 525 M(86%)
2017-12-21 11:31:45 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 526 M(86%)
2017-12-21 11:31:46 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 527 M(86%)
2017-12-21 11:31:46 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 527 M(87%)
2017-12-21 11:31:46 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 528 M(87%)
2017-12-21 11:31:47 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 529 M(87%)
2017-12-21 11:31:47 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 530 M(87%)
2017-12-21 11:31:47 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 531 M(87%)
2017-12-21 11:31:48 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 531 M(87%)
2017-12-21 11:31:48 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 532 M(87%)
2017-12-21 11:31:48 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 533 M(87%)
2017-12-21 11:31:48 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 534 M(88%)
2017-12-21 11:31:49 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 534 M(88%)
2017-12-21 11:31:49 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 535 M(88%)
2017-12-21 11:31:49 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 536 M(88%)
2017-12-21 11:31:50 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 537 M(88%)
2017-12-21 11:31:50 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 537 M(88%)
2017-12-21 11:31:50 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 538 M(88%)
2017-12-21 11:31:51 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 539 M(88%)
2017-12-21 11:31:51 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 540 M(89%)
2017-12-21 11:31:51 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 541 M(89%)
2017-12-21 11:31:51 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 541 M(89%)
2017-12-21 11:31:52 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 542 M(89%)
2017-12-21 11:31:52 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 543 M(89%)
2017-12-21 11:31:52 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 544 M(89%)
2017-12-21 11:31:53 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 545 M(89%)
2017-12-21 11:31:53 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 545 M(90%)
2017-12-21 11:31:53 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 546 M(90%)
2017-12-21 11:31:54 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 547 M(90%)
2017-12-21 11:31:54 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 548 M(90%)
2017-12-21 11:31:54 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 549 M(90%)
2017-12-21 11:31:54 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 549 M(90%)
2017-12-21 11:31:55 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 550 M(90%)
2017-12-21 11:31:55 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 551 M(90%)
2017-12-21 11:31:55 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 552 M(91%)
2017-12-21 11:31:56 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 552 M(91%)
2017-12-21 11:31:56 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 553 M(91%)
2017-12-21 11:31:56 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 554 M(91%)
2017-12-21 11:31:57 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 555 M(91%)
2017-12-21 11:31:57 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 555 M(91%)
2017-12-21 11:31:57 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 556 M(91%)
2017-12-21 11:31:57 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 557 M(91%)
2017-12-21 11:31:58 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 557 M(91%)
2017-12-21 11:31:58 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 558 M(92%)
2017-12-21 11:31:58 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 559 M(92%)
2017-12-21 11:31:58 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 559 M(92%)
2017-12-21 11:31:59 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 560 M(92%)
2017-12-21 11:31:59 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 560 M(92%)
2017-12-21 11:31:59 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 561 M(92%)
2017-12-21 11:32:00 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 562 M(92%)
2017-12-21 11:32:00 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 563 M(92%)
2017-12-21 11:32:00 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 564 M(93%)
2017-12-21 11:32:00 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 564 M(93%)
2017-12-21 11:32:01 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 565 M(93%)
2017-12-21 11:32:01 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 566 M(93%)
2017-12-21 11:32:01 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 567 M(93%)
2017-12-21 11:32:02 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 568 M(93%)
2017-12-21 11:32:02 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 568 M(93%)
2017-12-21 11:32:02 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 569 M(93%)
2017-12-21 11:32:03 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 570 M(94%)
2017-12-21 11:32:03 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 571 M(94%)
2017-12-21 11:32:03 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 572 M(94%)
2017-12-21 11:32:03 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 572 M(94%)
2017-12-21 11:32:04 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 573 M(94%)
2017-12-21 11:32:04 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 574 M(94%)
2017-12-21 11:32:04 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 575 M(94%)
2017-12-21 11:32:05 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 575 M(95%)
2017-12-21 11:32:05 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 576 M(95%)
2017-12-21 11:32:05 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 577 M(95%)
2017-12-21 11:32:06 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 578 M(95%)
2017-12-21 11:32:06 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 579 M(95%)
2017-12-21 11:32:06 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 579 M(95%)
2017-12-21 11:32:06 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 580 M(95%)
2017-12-21 11:32:07 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 581 M(95%)
2017-12-21 11:32:07 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 582 M(96%)
2017-12-21 11:32:07 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 583 M(96%)
2017-12-21 11:32:08 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 583 M(96%)
2017-12-21 11:32:08 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 584 M(96%)
2017-12-21 11:32:08 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 585 M(96%)
2017-12-21 11:32:09 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 585 M(96%)
2017-12-21 11:32:09 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 586 M(96%)
2017-12-21 11:32:09 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 587 M(96%)
2017-12-21 11:32:09 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 588 M(97%)
2017-12-21 11:32:10 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 588 M(97%)
2017-12-21 11:32:10 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 589 M(97%)
2017-12-21 11:32:10 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 590 M(97%)
2017-12-21 11:32:11 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 591 M(97%)
2017-12-21 11:32:11 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 591 M(97%)
2017-12-21 11:32:11 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 592 M(97%)
2017-12-21 11:32:12 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 593 M(97%)
2017-12-21 11:32:12 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 594 M(98%)
2017-12-21 11:32:12 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 595 M(98%)
2017-12-21 11:32:12 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 595 M(98%)
2017-12-21 11:32:13 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 596 M(98%)
2017-12-21 11:32:13 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 597 M(98%)
2017-12-21 11:32:13 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 598 M(98%)
2017-12-21 11:32:14 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 599 M(98%)
2017-12-21 11:32:14 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 599 M(98%)
2017-12-21 11:32:14 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 600 M(99%)
2017-12-21 11:32:15 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 601 M(99%)
2017-12-21 11:32:15 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 602 M(99%)
2017-12-21 11:32:15 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 603 M(99%)
2017-12-21 11:32:15 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 604 M(99%)
2017-12-21 11:32:16 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 604 M(99%)
2017-12-21 11:32:16 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 605 M(99%)
2017-12-21 11:32:16 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Download/Verify: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:20 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Downloading: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch.rpm 606 M(100%)
2017-12-21 11:32:20 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Check Package Signatures
2017-12-21 11:32:20 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Running Test Transaction
Running Transaction Check
2017-12-21 11:32:20 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Running Transaction
2017-12-21 11:32:20 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum install: 1/1: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Script sink: warning: %post(ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch) scriptlet failed, exit status 1

2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Done: ovirt-node-ng-image-update.noarch 0:4.1.8-1.el7.centos - u
2017-12-21 11:32:30 ERROR otopi.plugins.otopi.packagers.yumpackager yumpackager.error:85 Yum Non-fatal POSTIN scriptlet failure in rpm package ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Done: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Done: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:30 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Verify: 1/1: ovirt-node-ng-image-update.noarch 0:4.1.8-1.el7.centos - u
2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Transaction processed
2017-12-21 11:32:30 DEBUG otopi.context context._executeMethod:142 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-8eHwsnpJXf/pythonlib/otopi/context.py", line 132, in _executeMethod
    method['method']()
  File "/tmp/ovirt-8eHwsnpJXf/otopi-plugins/otopi/packagers/yumpackager.py", line 261, in _packages
    self._miniyum.processTransaction()
  File "/tmp/ovirt-8eHwsnpJXf/pythonlib/otopi/miniyum.py", line 1049, in processTransaction
    _('One or more elements within Yum transaction failed')
RuntimeError: One or more elements within Yum transaction failed
2017-12-21 11:32:30 ERROR otopi.context context._executeMethod:151 Failed to execute stage 'Package installation': One or more elements within Yum transaction failed
2017-12-21 11:32:30 DEBUG otopi.transaction transaction.abort:119 aborting 'Yum Transaction'
2017-12-21 11:32:30 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Performing yum transaction rollback
2017-12-21 11:32:30 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Building transaction
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Transaction built
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Transaction Summary:
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum     erase      - ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Processing transaction
2017-12-21 11:32:31 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Downloading Packages
2017-12-21 11:32:31 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Running Test Transaction
Running Transaction Check
2017-12-21 11:32:31 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Status: Running Transaction
2017-12-21 11:32:31 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum erase: 1/1: ovirt-node-ng-image-update
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Done: ovirt-node-ng-image-update-4.1.8-1.el7.centos.noarch
2017-12-21 11:32:31 INFO otopi.plugins.otopi.packagers.yumpackager yumpackager.info:80 Yum Verify: 1/1: ovirt-node-ng-image-update.noarch 0:4.1.8-1.el7.centos - e
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.packagers.yumpackager yumpackager.verbose:76 Yum Transaction processed
Loaded plugins: fastestmirror
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:760 ENVIRONMENT DUMP - BEGIN
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/error=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/exceptionInfo=list:'[(<type 'exceptions.RuntimeError'>, RuntimeError('One or more elements within Yum transaction failed',), <traceback object at 0x295c908>)]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:774 ENVIRONMENT DUMP - END
2017-12-21 11:32:31 INFO otopi.context context.runSequence:687 Stage: Pre-termination
2017-12-21 11:32:31 DEBUG otopi.context context.runSequence:691 STAGE pre-terminate
2017-12-21 11:32:31 DEBUG otopi.context context._executeMethod:128 Stage pre-terminate METHOD otopi.plugins.otopi.core.misc.Plugin._preTerminate
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:760 ENVIRONMENT DUMP - BEGIN
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/aborted=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/debug=int:'0'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/error=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/exceptionInfo=list:'[(<type 'exceptions.RuntimeError'>, RuntimeError('One or more elements within Yum transaction failed',), <traceback object at 0x295c908>)]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/executionDirectory=str:'/root'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/exitCode=list:'[{'priority': 90001, 'code': 0}]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/log=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/pluginGroups=str:'otopi:ovirt-host-common:ovirt-host-mgmt'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/pluginPath=str:'/tmp/ovirt-8eHwsnpJXf/otopi-plugins'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV BASE/suppressEnvironmentKeys=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/chkconfig=str:'/sbin/chkconfig'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/chronyc=str:'/bin/chronyc'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/date=str:'/bin/date'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/firewall-cmd=str:'/bin/firewall-cmd'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/hwclock=str:'/sbin/hwclock'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/initctl=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/ip=str:'/sbin/ip'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/ntpq=str:'/sbin/ntpq'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/openssl=str:'/bin/openssl'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/rc=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/rc-update=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/reboot=str:'/sbin/reboot'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/service=str:'/sbin/service'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV COMMAND/systemctl=str:'/bin/systemctl'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/configFileAppend=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/configFileName=str:'/etc/ovirt-host-mgmt.conf'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/failOnPrioOverride=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/internalPackageTransaction=Transaction:'transaction'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logDir=str:'/tmp'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFileHandle=file:'<open file '/tmp/ovirt-host-mgmt-20171221112750-x9827z.log', mode 'a' at 0x7fbb93eacd20>'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFileName=str:'/tmp/ovirt-host-mgmt-20171221112750-x9827z.log'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFileNamePrefix=str:'ovirt-host-mgmt'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFilter=_MyLoggerFilter:'filter'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFilterKeys=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logFilterRe=list:'[<_sre.SRE_Pattern object at 0x1d51230>]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/logRemoveAtExit=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/mainTransaction=Transaction:'transaction'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/modifiedFiles=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV CORE/randomizeEvents=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV DIALOG/boundary=str:'**BOUNDARY**'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV DIALOG/cliVersion=int:'1'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV DIALOG/customization=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV DIALOG/dialect=str:'machine'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV INFO/PACKAGE_NAME=str:'otopi'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV INFO/PACKAGE_VERSION=str:'1.6.2'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/firewalldAvailable=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/firewalldDisableServices=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/firewalldEnable=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/iptablesEnable=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/iptablesRules=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/sshEnable=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/sshKey=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV NETWORK/sshUser=str:''
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV ODEPLOY/installIncomplete=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV ODEPLOY/installIncompleteReasons=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV OMGMT_CORE/offlinePackager=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV OMGMT_PACKAGES/packages=list:'['ovirt-node-ng-image-update']'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV OMGMT_PACKAGES/packagesInfo=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV OMGMT_PACKAGES/packagesUpdateMode=str:'update'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV OVIRT_ENGINE/correlationId=str:'8f09ef5a-da36-40be-89f1-52a02ac83121'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/dnfDisabledPlugins=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/dnfExpireCache=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/dnfRollback=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/dnfpackagerEnabled=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/keepAliveInterval=int:'30'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/yumDisabledPlugins=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/yumEnabledPlugins=list:'[]'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/yumExpireCache=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/yumRollback=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV PACKAGER/yumpackagerEnabled=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/clockMaxGap=int:'5'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/clockSet=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/commandPath=str:'/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/reboot=bool:'False'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/rebootAllow=bool:'True'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV SYSTEM/rebootDeferTime=int:'10'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VDSM/certificateChain=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VDSM/certificateEnrollment=str:'none'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VDSM/keySize=int:'2048'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VMCONSOLE/caKey=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VMCONSOLE/certificate=NoneType:'None'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VMCONSOLE/certificateEnrollment=str:'none'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:770 ENV VMCONSOLE/keySize=int:'2048'
2017-12-21 11:32:31 DEBUG otopi.context context.dumpEnvironment:774 ENVIRONMENT DUMP - END
2017-12-21 11:32:31 DEBUG otopi.context context._executeMethod:128 Stage pre-terminate METHOD otopi.plugins.otopi.dialog.cli.Plugin._pre_terminate
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    env-get -k OMGMT_PACKAGES/packagesInfo
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***D:MULTI-STRING OMGMT_PACKAGES/packagesInfo **BOUNDARY**
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **BOUNDARY**
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    env-get -k BASE/error
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***D:VALUE BASE/error=bool:True
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    env-get -k ODEPLOY/installIncomplete
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***D:VALUE ODEPLOY/installIncomplete=bool:False
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    env-get -k SYSTEM/reboot
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***D:VALUE SYSTEM/reboot=bool:False
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    noop
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QStart: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ###
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### Processing ended, use 'quit' to quit
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ### COMMAND> 
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QHidden: FALSE
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       ***Q:STRING TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%QEnd: TERMINATION_COMMAND
2017-12-21 11:32:31 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:RECEIVE    log

Comment 53 Yedidyah Bar David 2017-12-21 10:56:12 UTC
Thanks. This is not very helpful, because in 4.1 we didn't patch otopi to include debug information (see comment 16) - so can't see what exactly failed.

To try getting more information, you can either upgrade your engine to 4.2, or at least otopi on the engine machine to the version from 4.2 repos (otopi-1.7.5), or try to install the build from jenkins for that patch:

http://jenkins.ovirt.org/job/otopi_4.1_check-patch-el7-x86_64/27/

In either case, once you update otopi, you might have to remove:

/var/cache/ovirt-engine/ovirt-host-deploy.tar

to make sure the engine re-creates it with new otopi (although this should happen automatically), and then try again to update.

Also, for adding such long logs, it's more comfortable to use the "Attachments" feature of bugzilla, see a bit below the top of the page.

Comment 54 Gabriel 2017-12-21 10:59:15 UTC
Clear. 

Isn't that the downgrade issue that Ryan Barry was writing about?

Comment 55 Yedidyah Bar David 2017-12-21 11:07:51 UTC
(In reply to Gabriel from comment #54)
> Clear. 
> 
> Isn't that the downgrade issue that Ryan Barry was writing about?

AFAIU from what you wrote above, you didn't downgrade, right? So it's not the same issue. Whether it is or it's something else, we can't see for sure, because without patching otopi, it does not log the errors from rpm.

Comment 56 Ryan Barry 2017-12-21 13:09:07 UTC
(In reply to Gabriel from comment #54)
> Clear. 
> 
> Isn't that the downgrade issue that Ryan Barry was writing about?

It's extremely likely that it is.

If you 'yum upgrade' from the CLI, you can see the version which is trying to be fetched.

resources.ovirt.org appears to be down right now, so I can't check whether the image you retrieved is from -pre or not, though.

Can you try 'yum update ovirt-node-ng-image-update' on the CLI and check the version it's fetching?

Comment 57 Yedidyah Bar David 2017-12-21 13:16:03 UTC
Filed bug 1528290 for the otopi patch for 4.1.


Note You need to log in before you can comment on or make changes to this bug.